Debian Bug report logs - #245893
libboost-python-dev: Boost.Python broken on arm

version graph

Package: libboost-python-dev; Maintainer for libboost-python-dev is Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>; Source for libboost-python-dev is src:boost-defaults.

Reported by: Ben Burton <bab@debian.org>

Date: Mon, 26 Apr 2004 01:48:02 UTC

Severity: important

Tags: help

Found in version 1.31.0-4

Done: Domenico Andreoli <cavok@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <bab@debian.org>:
New Bug report received and forwarded. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Burton <bab@debian.org>
To: submit@bugs.debian.org
Subject: libboost-python-dev: Boost.Python broken on arm
Date: Mon, 26 Apr 2004 11:41:37 +1000
Package: libboost-python-dev
Severity: serious
Version: 1.31.0-4

Hi.  Since the 1.31.0 upgrade, Boost.Python seems to be broken on arm.
I maintain two packages that use Boost.Python (kdeedu and regina-normal),
and both have autobuilt successfully on all archs except for arm, where
they both fail with similar errors.

I'd love to provide a simple example of a failed compile, but I
currently can't access any arm machines myself (they seem to be
restricted with a pending kernel upgrade) and clearly I can't reproduce
the problem here on my i386 box.

I suspect however that any simple class with an appropriate
boost::python::class_<...> wrapper will cause the error.

I've marked this as serious since it's currently causing (also serious)
FTBFS errors on both kdeedu and regina-normal:

  http://buildd.debian.org/fetch.php?&pkg=kdeedu&ver=4%3A3.2.2-1&arch=arm&stamp=1082667643&file=log&as=raw
  http://buildd.debian.org/fetch.php?&pkg=regina-normal&ver=4.1.1-1&arch=arm&stamp=1082790357&file=log&as=raw

Thanks - Ben.




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #10 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: c++-sig@python.org, debian-arm@lists.debian.org
Cc: 245893@bugs.debian.org
Subject: Boost.Python looks broken on debian/arm
Date: Mon, 26 Apr 2004 23:46:10 +0200
[ i'm not subscribed to any of the two ml, please CC me as well as
  245893@bugs.debian.org ]

hi all,

  debian arm autobuilder fails to build the only two applications
in main archive which make use Boost.Python, they are kdeedu [0] and
regina-normal [1].

i'm trying to understand where the chain of errors reported in debian
bug #245893 [2] really starts, problem is that i still have no simple
program to reproduce this bug and not arm machine to play with.

i'm asking to debian-arm mailing list some help reproducing the bug
and to Boost.Python mailing list some help understanding the outcome.

here follows what i think is the culprit error...

/usr/include/boost/python/detail/def_helper.hpp: At global scope:
/usr/include/boost/python/detail/def_helper.hpp: In instantiation of `boost::mpl::apply1<boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>, const char* const&>':
/usr/include/boost/python/detail/def_helper.hpp:78:   instantiated from `boost::python::detail::tuple_extract_base_select<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type>, boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::tuple_extract<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type>, boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::default_implementation_extract<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::def_helper<const char*, boost::python::detail::not_specified, boost::python::detail::not_specified, boost::python::detail::not_specified>'
/usr/include/boost/python/class.hpp:304:   instantiated from `boost::python::class_<T, X1, X2, X3>& boost::python::class_<T, X1, X2, X3>::def(const char*, F) [with F = void (PythonOutputStream::*)(), T = PythonOutputStream, X1 = boost::noncopyable, X2 = boost::python::detail::not_specified, X3 = boost::python::detail::not_specified]'
pythoninterpreter.cpp:89:   instantiated from here
/usr/include/boost/python/detail/def_helper.hpp:78: error: no class template 
   named `apply' in `struct 
   boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>
   '

any hint?

thanks
domenico

[0] http://buildd.debian.org/fetch.php?&pkg=kdeedu&ver=4%3A3.2.2-1&arch=arm&stamp=1082667643&file=log&as=raw
[1] http://buildd.debian.org/fetch.php?&pkg=regina-normal&ver=4.1.1-1&arch=arm&stamp=1082790357&file=log&as=raw
[2] http://bugs.debian.org/245893

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Tags added: help Request was from Domenico Andreoli <cavok@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #17 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: debian-devel@lists.debian.org
Cc: "Steve M. Robbins" <steven.robbins@videotron.ca>, 245893@bugs.debian.org
Subject: help needed with Boost.Python package's bug #245893 on arm
Date: Wed, 5 May 2004 16:08:10 +0200
hi,

i need some help with bug #245893, it is reproducible only on arm but
no arm machines are available to debian developers.

problem is that the libboost-python-dev package makes g++ complain
when some program tryes to build with Boost.Python. the only two debian
packages requiring it both fail to build on arm.

please help or this very good collection of code will not go in testing.

thanks
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@tiscali.it>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #22 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@tiscali.it>
To: boost@lists.boost.org
Cc: 245893@bugs.debian.org
Subject: Fwd: Bug#245893: Boost.Python looks broken on debian/arm
Date: Tue, 25 May 2004 12:43:43 +0200
hello there,

this is the the last important bug debian packages of Boost 1.31.0 have.

this is copy of the message i already sent to debian-arm ml and
Boost.Python ml with no response.

i'm forwarding it here, on boost developers ml, as last chance to settle
this out and finally make 1.31.0 reach debian sarge.

it may also look like a problem in MPL.

cheers
domenico

----- Forwarded message from Domenico Andreoli <cavok@debian.org> -----

Date: Mon, 26 Apr 2004 23:46:10 +0200
From: Domenico Andreoli <cavok@debian.org>
To: c++-sig@python.org, debian-arm@lists.debian.org
Cc: 245893@bugs.debian.org
Subject: Bug#245893: Boost.Python looks broken on debian/arm

hi all,

  debian arm autobuilder fails to build the only two applications
in main archive which make use Boost.Python, they are kdeedu [0] and
regina-normal [1].

i'm trying to understand where the chain of errors reported in debian
bug #245893 [2] really starts, problem is that i still have no simple
program to reproduce this bug and not arm machine to play with.

i'm asking to debian-arm mailing list some help reproducing the bug
and to Boost.Python mailing list some help understanding the outcome.

here follows what i think is the culprit error...

/usr/include/boost/python/detail/def_helper.hpp: At global scope:
/usr/include/boost/python/detail/def_helper.hpp: In instantiation of `boost::mpl::apply1<boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>, const char* const&>':
/usr/include/boost/python/detail/def_helper.hpp:78:   instantiated from `boost::python::detail::tuple_extract_base_select<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type>, boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::tuple_extract<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type>, boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::default_implementation_extract<boost::tuples::tuple<const char* const&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, const boost::python::detail::not_specified&, boost::python::default_call_policies, boost::python::detail::keywords<0>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type> >'
/usr/include/boost/python/detail/def_helper.hpp:173:   instantiated from `boost::python::detail::def_helper<const char*, boost::python::detail::not_specified, boost::python::detail::not_specified, boost::python::detail::not_specified>'
/usr/include/boost/python/class.hpp:304:   instantiated from `boost::python::class_<T, X1, X2, X3>& boost::python::class_<T, X1, X2, X3>::def(const char*, F) [with F = void (PythonOutputStream::*)(), T = PythonOutputStream, X1 = boost::noncopyable, X2 = boost::python::detail::not_specified, X3 = boost::python::detail::not_specified]'
pythoninterpreter.cpp:89:   instantiated from here
/usr/include/boost/python/detail/def_helper.hpp:78: error: no class template 
   named `apply' in `struct 
   boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>
   '

any hint?

thanks
domenico

[0] http://buildd.debian.org/fetch.php?&pkg=kdeedu&ver=4%3A3.2.2-1&arch=arm&stamp=1082667643&file=log&as=raw
[1] http://buildd.debian.org/fetch.php?&pkg=regina-normal&ver=4.1.1-1&arch=arm&stamp=1082790357&file=log&as=raw
[2] http://bugs.debian.org/245893

----- End forwarded message -----


-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to David Abrahams <dave@boost-consulting.com>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #27 received at 245893@bugs.debian.org (full text, mbox):

From: David Abrahams <dave@boost-consulting.com>
Cc: Aleksey Gurtovoy <agurtovoy@meta-comm.com>, Domenico Andreoli <cavok@tiscali.it>
Subject: Re: Fwd: Bug#245893: Boost.Python looks broken on debian/arm
Date: Tue, 25 May 2004 10:01:09 -0400
The following message is a courtesy copy of an article
that has been posted to gmane.comp.lib.boost.devel,gmane.comp.python.c++ as well.

Domenico Andreoli <cavok@tiscali.it> writes:

> hello there,
>
> this is the the last important bug debian packages of Boost 1.31.0 have.
>
> this is copy of the message i already sent to debian-arm ml and
> Boost.Python ml with no response.

Sorry; been swamped.

>
> i'm forwarding it here, on boost developers ml, as last chance to settle
> this out and finally make 1.31.0 reach debian sarge.

What compiler are you using?  Can you post a small reproducible test
case for this issue?

> it may also look like a problem in MPL.

Yes, as far as I can tell you may be right about that.

  template <class Tuple, class Predicate>
  struct tuple_extract
      : tuple_extract_base_select<
         Tuple
         , typename mpl::lambda<Predicate>::type
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      >::type
  {
  };

Is supposed to transform the Predicate,
boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>
into a metafunction class (something with a nested ::apply template)
if it is not already such a beast.  Instead it seems to be returning
the Predicate intact.  

I can think of some possible workarounds (in the Boost.Python code),
but without a reproducible case I'd be loathe to vouch for any of them.


> [0] http://buildd.debian.org/fetch.php?&pkg=kdeedu&ver=4%3A3.2.2-1&arch=arm&stamp=1082667643&file=log&as=raw
> [1] http://buildd.debian.org/fetch.php?&pkg=regina-normal&ver=4.1.1-1&arch=arm&stamp=1082790357&file=log&as=raw
> [2] http://bugs.debian.org/245893

-- 
Dave Abrahams
Boost Consulting
http://www.boost-consulting.com




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@tiscali.it>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #32 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@tiscali.it>
To: David Abrahams <dave@boost-consulting.com>
Cc: Aleksey Gurtovoy <agurtovoy@meta-comm.com>, boost@lists.boost.org, 245893@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#245893: Boost.Python looks broken on debian/arm
Date: Tue, 25 May 2004 16:21:49 +0200
On Tue, May 25, 2004 at 10:01:09AM -0400, David Abrahams wrote:
> Domenico Andreoli <cavok@tiscali.it> writes:
> >
> > i'm forwarding it here, on boost developers ml, as last chance to settle
> > this out and finally make 1.31.0 reach debian sarge.
> 
> What compiler are you using?  Can you post a small reproducible test
> case for this issue?

gcc 3.3.3 on debian unstable.

> > it may also look like a problem in MPL.
> 
> Yes, as far as I can tell you may be right about that.
> 
>   template <class Tuple, class Predicate>
>   struct tuple_extract
>       : tuple_extract_base_select<
>          Tuple
>          , typename mpl::lambda<Predicate>::type
>            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>       >::type
>   {
>   };
> 
> Is supposed to transform the Predicate,
> boost::python::detail::is_reference_to_member_function_pointer<boost::mpl::_1>
> into a metafunction class (something with a nested ::apply template)
> if it is not already such a beast.  Instead it seems to be returning
> the Predicate intact.  
> 
> I can think of some possible workarounds (in the Boost.Python code),
> but without a reproducible case I'd be loathe to vouch for any of them.

debian arm machine is currently out of luck, i've never been able to
reproduce and size down the test case :(

i'll post it as soon as i have back the arm machine.

cheers
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #37 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: debian-arm@lists.debian.org
Cc: "Steve M. Robbins" <steven.robbins@videotron.ca>, 245893@bugs.debian.org
Subject: arm box is required to reproduce bug #245893
Date: Fri, 2 Jul 2004 11:45:30 +0200
[Message part 1 (text/plain, inline)]
hi all,

i'm seeing that still not arm machine is available to common debian
developers. anybody is able to lend us an unstable box to examine
boost's bug #245893? it a RC one and blocks it to be released in sarge.
i'm sure steve (the main boost maintainer) or i can provide the required
credentials for a safe use of the machine.

many thanks
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <bab@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #42 received at 245893@bugs.debian.org (full text, mbox):

From: Ben Burton <bab@debian.org>
To: debian-arm@lists.debian.org
Cc: 245893@bugs.debian.org
Subject: Assistance with boost.python/arm breakage
Date: Thu, 15 Jul 2004 10:10:27 +1000
Hi again.

The Boost.Python packages are currently broken on arm (#245893).  Since
Boost.Python is a development library, this is in fact creating FTBFS
for kdeedu/arm and regina-normal/arm (the only two debian packages that
use libboost-python-dev, both of which I maintain).

I'd love to help fix this if possible -- amongst other things, this RC
bug on libboost-python-dev is keeping both kdeedu and regina-normal out
of testing.

What would be great is if myself or the boost maintainers could have
access to an arm box where we can try and pin down the problem.  Boost
upstream has indicated their willingness to help, but they will need
some testing from our end.

Otherwise, if this is undesirable, might someone with an arm box be
willing to work directly with boost upstream on this matter?

Please CC me, I'm not on debian-arm.

Thanks - Ben.




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #47 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: debian-arm@lists.debian.org
Cc: Ben Burton <bab@debian.org>, "Steve M. Robbins" <steven.robbins@videotron.ca>, 245893@bugs.debian.org
Subject: Re: Bug#245893: Assistance with boost.python/arm breakage
Date: Thu, 15 Jul 2004 12:43:38 +0200
On Thu, Jul 15, 2004 at 10:10:27AM +1000, Ben Burton wrote:
> The Boost.Python packages are currently broken on arm (#245893).  Since
> Boost.Python is a development library, this is in fact creating FTBFS
> for kdeedu/arm and regina-normal/arm (the only two debian packages that
> use libboost-python-dev, both of which I maintain).
> 
> I'd love to help fix this if possible -- amongst other things, this RC
> bug on libboost-python-dev is keeping both kdeedu and regina-normal out
> of testing.
> 
> What would be great is if myself or the boost maintainers could have
> access to an arm box where we can try and pin down the problem.  Boost
> upstream has indicated their willingness to help, but they will need
> some testing from our end.
> 
> Otherwise, if this is undesirable, might someone with an arm box be
> willing to work directly with boost upstream on this matter?
> 

we are really unlucky with this bug, don't we? :)

i hope it will be simple to iron out once we have the arm box...

if i had the arm box i'd firstly try to see if upstream cvs has the
same problem, maybe it has been already fixed somewhere. maybe someone
with the arm could try this test for us, it would be a good step forward.

BTW, they are rolling the new 1.32 release, it would be very nice to
have this bug fix in.

upstream boost site: http://www.boost.org/
upstream cvs: cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/boost co boost

i'm very short of free time, but maybe Steve is able to provide
.debs from cvs to help the arm testers, the build process is not that
intuitive.

cheers
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steven.robbins@videotron.ca>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #52 received at 245893@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steven.robbins@videotron.ca>
To: Domenico Andreoli <cavok@debian.org>
Cc: debian-arm@lists.debian.org, Ben Burton <bab@debian.org>, "Steve M. Robbins" <steven.robbins@videotron.ca>, 245893@bugs.debian.org
Subject: Re: Bug#245893: Assistance with boost.python/arm breakage
Date: Thu, 15 Jul 2004 23:03:52 -0400
On Thu, Jul 15, 2004 at 12:43:38PM +0200, Domenico Andreoli wrote:
> On Thu, Jul 15, 2004 at 10:10:27AM +1000, Ben Burton wrote:
> > The Boost.Python packages are currently broken on arm (#245893).  Since
> > Boost.Python is a development library, this is in fact creating FTBFS
> > for kdeedu/arm and regina-normal/arm (the only two debian packages that
> > use libboost-python-dev, both of which I maintain).

The easy solution is for Ben to simply change kdeedu's architecture
line to exclude ARM.  We can hardly provide support for an
architecture that can't be bothered to supply machines for testing,
despite repeated requests.


> i hope it will be simple to iron out once we have the arm box...
> 
> if i had the arm box i'd firstly try to see if upstream cvs has the
> same problem, maybe it has been already fixed somewhere. maybe someone
> with the arm could try this test for us, it would be a good step forward.

This could be worth trying.  However, I had a look at upstream a
couple weeks ago.  The suspect part of boost (MPL) had not changed
from the last release.

-S









Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <bab@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #57 received at 245893@bugs.debian.org (full text, mbox):

From: Ben Burton <bab@debian.org>
To: "Steve M. Robbins" <steven.robbins@videotron.ca>, 245893@bugs.debian.org
Cc: Domenico Andreoli <cavok@debian.org>, debian-arm@lists.debian.org
Subject: Re: Bug#245893: Assistance with boost.python/arm breakage
Date: Sat, 17 Jul 2004 11:36:03 +1000
> The easy solution is for Ben to simply change kdeedu's architecture
> line to exclude ARM.

I'm preparing a kdeedu upload now with kig scripting disabled on arm.
This should work around the FTBFS for kdeedu on arm.  Coupled with the
fact that regina-normal has never built successfully on arm (because of
this same problem), this should resolve all missing-build problems that
are keeping kdeedu and regina-normal out of testing.

The remaining blockage of course is this RC bug on boost.  It will no
longer be causing RC build failures on other packages (though
regina-normal on arm will still fail to build, but AIUI this is not RC
since it's never built on arm).  Though boost.python will still be
unusable for any 3rd-party apps that wish to include it.  Anyway, your
call. :)

b.




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steven.robbins@videotron.ca>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #62 received at 245893@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steven.robbins@videotron.ca>
To: 245893@bugs.debian.org
Cc: control@bugs.debian.org
Subject: downgrade
Date: Tue, 27 Jul 2004 22:51:14 -0400
severity 245893 important
thanks

The problems with kdeedu and regina-normal have been worked around, so
I'm downgrading this bug.  We never did manage to get confirmation
that a bug exists, so help is still appreciated.

Thanks,
-Steve




Severity set to `important'. Request was from "Steve M. Robbins" <steven.robbins@videotron.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Timo Savola <tsavola@movial.fi>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #69 received at 245893@bugs.debian.org (full text, mbox):

From: Timo Savola <tsavola@movial.fi>
To: 245893@bugs.debian.org, 282871@bugs.debian.org
Subject: Boost ARM bug
Date: Mon, 03 Jan 2005 23:28:33 +0200
I did some testing with the Scratchbox cross-compilation toolkit using a 
Debian/ARM target environment; it would seem that the Python bindings of 
regina-normal compile succesfully against Boost 1.32.

I wonder what's keeping Boost 1.32 from entering unstable?

timo



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steven.robbins@videotron.ca>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #74 received at 245893@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steven.robbins@videotron.ca>
To: Timo Savola <tsavola@movial.fi>, 245893@bugs.debian.org
Cc: 282871@bugs.debian.org
Subject: Re: Bug#245893: Boost ARM bug
Date: Tue, 04 Jan 2005 00:51:15 -0500
On Mon, Jan 03, 2005 at 11:28:33PM +0200, Timo Savola wrote:
> I did some testing with the Scratchbox cross-compilation toolkit using a 
> Debian/ARM target environment; it would seem that the Python bindings of 
> regina-normal compile succesfully against Boost 1.32.
> 
> I wonder what's keeping Boost 1.32 from entering unstable?

Only "experimental" packages have been uploaded.  Some work
(a small amount, I think) is needed to make real packages
for "unstable".  I hope to find time next weekend to do
so.

-Steve



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steven.robbins@videotron.ca>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #79 received at 245893@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steven.robbins@videotron.ca>
To: Timo Savola <tsavola@movial.fi>, 245893@bugs.debian.org
Cc: 282871@bugs.debian.org
Subject: Re: Bug#245893: Boost ARM bug
Date: Tue, 04 Jan 2005 00:53:06 -0500
On Mon, Jan 03, 2005 at 11:28:33PM +0200, Timo Savola wrote:
> I did some testing with the Scratchbox cross-compilation toolkit using a 
> Debian/ARM target environment; it would seem that the Python bindings of 
> regina-normal compile succesfully against Boost 1.32.

Forgot the most important item in my last email: Thanks for this
confirmation!

-Steve



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <bab@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #84 received at 245893@bugs.debian.org (full text, mbox):

From: Ben Burton <bab@debian.org>
To: Timo Savola <tsavola@movial.fi>, 282871@bugs.debian.org
Cc: 245893@bugs.debian.org
Subject: Re: Bug#282871: Boost ARM bug
Date: Tue, 4 Jan 2005 17:12:19 +1100
> I wonder what's keeping Boost 1.32 from entering unstable?

Even when the boost packages are uploaded to sid, a new
regina-normal won't be able to go in until the KDE 3.3
transition is complete.

b.




Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #89 received at 245893@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: Ben Burton <bab@debian.org>
Cc: Timo Savola <tsavola@movial.fi>, 282871@bugs.debian.org, 245893@bugs.debian.org
Subject: Re: Bug#245893: Bug#282871: Boost ARM bug
Date: Sun, 9 Jan 2005 15:15:53 +0100
hello,

On Tue, Jan 04, 2005 at 05:12:19PM +1100, Ben Burton wrote:
> 
> > I wonder what's keeping Boost 1.32 from entering unstable?
> 
> Even when the boost packages are uploaded to sid, a new
> regina-normal won't be able to go in until the KDE 3.3
> transition is complete.

KDE 3.3 transition is now completed and IMHO this looks like the best
time to push boost 1.32.0.

when i built boost 1.32.0 i also built both regina-normal and kdeedu
[1]. i had no problems in the build so they might really be ok.

would you please check the build logs i've produced or build them
yourself for further analysis?

we count to upload boost 1.32.0 in the next few days, if no serious
objections are raised against.

cheers
domenico

[1] http://people.debian.org/~cavok/

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, smr@debian.org (Steve M. Robbins):
Bug#245893; Package libboost-python-dev. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <bab@debian.org>:
Extra info received and forwarded to list. Copy sent to smr@debian.org (Steve M. Robbins). Full text and rfc822 format available.

Message #94 received at 245893@bugs.debian.org (full text, mbox):

From: Ben Burton <bab@debian.org>
To: Domenico Andreoli <cavok@debian.org>
Cc: Timo Savola <tsavola@movial.fi>, 282871@bugs.debian.org, 245893@bugs.debian.org
Subject: Re: Bug#245893: Bug#282871: Boost ARM bug
Date: Tue, 11 Jan 2005 11:45:02 +1100
Hi,

> when i built boost 1.32.0 i also built both regina-normal and kdeedu
> [1]. i had no problems in the build so they might really be ok.

I won't be able to do any uploads until Saturday evening.  As far as
regina-normal goes, I'd _really_ like to do some testing on this before
uploading.  And as for kdeedu, I'll be doing a new upstream (bugfix)
release when I get back.  So I'll be a few days yet but I'll make it
priority when I'm back from interstate.

b.




Reply sent to Domenico Andreoli <cavok@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ben Burton <bab@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #99 received at 245893-done@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: 245893-done@bugs.debian.org
Subject: closing #245893... (was: libboost-python-dev: Boost.Python broken on arm)
Date: Mon, 17 Jan 2005 12:00:37 +0100
hi,

i'm closing this bug. kdeedu version 3.3.2-1 has been successfully
built using Boost 1.32.0.

regards
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:05:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.